javax.batch.api.partition

## Class AbstractPartitionReducer

- java.lang.Object
- - javax.batch.api.partition.AbstractPartitionReducer

- All Implemented Interfaces:
    PartitionReducer

      public abstract class AbstractPartitionReducer
      extends Object
      implements PartitionReducer

  The AbstractBatchlet provides default implementations of less commonly implemented methods.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.batch.api.partition.PartitionReducer

      `PartitionReducer.PartitionStatus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPartitionReducer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPartitionedStepCompletion(PartitionReducer.PartitionStatus status)` Override this method to take action after partitioned step processing ends.
    `void` | `beforePartitionedStepCompletion()` Override this method to take action before normal partitioned step processing ends.
    `void` | `beginPartitionedStep()` Override this method to take action before partitioned step processing begins.
    `void` | `rollbackPartitionedStep()` Override this method to take action when a partitioned step is rolling back.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPartitionReducer

          public AbstractPartitionReducer()

  - ### Method Detail

    - #### beginPartitionedStep

          public void beginPartitionedStep()
                                    throws Exception

      Override this method to take action before partitioned step processing begins.
      Specified by:
        `beginPartitionedStep` in interface `PartitionReducer`
      Throws:
        `Exception` - is thrown if an error occurs.

    - #### beforePartitionedStepCompletion

          public void beforePartitionedStepCompletion()
                                               throws Exception

      Override this method to take action before normal partitioned step processing ends.
      Specified by:
        `beforePartitionedStepCompletion` in interface `PartitionReducer`
      Throws:
        `Exception` - is thrown if an error occurs.

    - #### rollbackPartitionedStep

          public void rollbackPartitionedStep()
                                       throws Exception

      Override this method to take action when a partitioned step is rolling back.
      Specified by:
        `rollbackPartitionedStep` in interface `PartitionReducer`
      Throws:
        `Exception` - is thrown if an error occurs.

    - #### afterPartitionedStepCompletion

          public void afterPartitionedStepCompletion(PartitionReducer.PartitionStatus status)
                                              throws Exception

      Override this method to take action after partitioned step processing ends.
      Specified by:
        `afterPartitionedStepCompletion` in interface `PartitionReducer`
      Parameters:
        `status` - specifies the outcome of the partitioned step. Values are "COMMIT" or "ROLLBACK".
      Throws:
        `Exception` - is thrown if an error occurs.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.